Patches for aports can be sent to this list

2 2

[alpine-aports] [PATCH] testing/xload: new aport

Taner Tas
Details
Message ID
<20170406213245.6265-1-taner76@gmail.com>
Sender timestamp
1491514365
DKIM signature
missing
Download raw message
Patch: +37 -0
https://xorg.freedesktop.org/
System load average display for X. Very useful app for load monitoring when embedded into systray.
---
 testing/xload/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/xload/APKBUILD

diff --git a/testing/xload/APKBUILD b/testing/xload/APKBUILD
new file mode 100644
index 00000000..66971573
--- /dev/null
+++ b/testing/xload/APKBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Taner Tas <taner76@gmail.com>
+pkgname=xload
+pkgver="1.1.2"
+pkgrel=0
+pkgdesc="System load average display for X"
+url="https://xorg.freedesktop.org/"
+arch="all"
+license="MIT"
+depends="libintl"
+makedepends="libx11-dev libxaw-dev libxmu-dev libxt-dev gettext-dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://xorg.freedesktop.org/archive/individual/app/xload-${pkgver}.tar.bz2"
+#builddir="$srcdir/"
+
+build() {
+	export CFLAGS="$CFLAGS -DRLOADSTUB"
+	export LIBS="$LIBS -lintl"
+	cd "$builddir"
+	 ./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		--disable-nls \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="9c83d26bbb135cc0f2b3ef7f25b081cda5d080dd02b1c89195b40825a7d71211965b34336c853eb455472d9748f3edf64108455584b34b81673e2548806f423d  xload-1.1.2.tar.bz2"
-- 
2.12.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Leonardo Arena
Details
Message ID
<0f7cb01d-b5b4-a3f1-9146-135621be2ffd@gmail.com>
In-Reply-To
<20170406213245.6265-1-taner76@gmail.com> (view parent)
Sender timestamp
1491827535
DKIM signature
missing
Download raw message
Hi,

On 06/04/2017 23:32, Taner Tas wrote:
> https://xorg.freedesktop.org/
> System load average display for X. Very useful app for load monitoring when embedded into systray.
> ---
>  testing/xload/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
>  1 file changed, 37 insertions(+)
>  create mode 100644 testing/xload/APKBUILD
> 
> diff --git a/testing/xload/APKBUILD b/testing/xload/APKBUILD
> new file mode 100644
> index 00000000..66971573
> --- /dev/null
> +++ b/testing/xload/APKBUILD
> @@ -0,0 +1,37 @@
> +# Maintainer: Taner Tas <taner76@gmail.com>
> +pkgname=xload
> +pkgver="1.1.2"
> +pkgrel=0
> +pkgdesc="System load average display for X"
> +url="https://xorg.freedesktop.org/"
> +arch="all"
> +license="MIT"
> +depends="libintl"
> +makedepends="libx11-dev libxaw-dev libxmu-dev libxt-dev gettext-dev"
> +install=""
> +subpackages="$pkgname-doc"
> +source="https://xorg.freedesktop.org/archive/individual/app/xload-${pkgver}.tar.bz2"
> +#builddir="$srcdir/"
> +
> +build() {
> +	export CFLAGS="$CFLAGS -DRLOADSTUB"
> +	export LIBS="$LIBS -lintl"
> +	cd "$builddir"
> +	 ./configure \
> +		--build=$CBUILD \
> +		--host=$CHOST \
> +		--prefix=/usr \
> +		--sysconfdir=/etc \
> +		--mandir=/usr/share/man \
> +		--localstatedir=/var \
> +		--disable-nls \
> +		|| return 1
> +	make || return 1
> +}
> +
> +package() {
> +	cd "$builddir"
> +	make DESTDIR="$pkgdir" install || return 1
> +}
> +

It's missing the check() function and option "!check" is not specified.
(Actually this applies also to the previous patches).

And "|| return 1" can be removed.

Thanks!

|_eo

[alpine-aports] [PATCH v2] testing/xload: new aport

Taner Tas
Details
Message ID
<20170411055930.28789-1-taner76@gmail.com>
In-Reply-To
<20170406213245.6265-1-taner76@gmail.com> (view parent)
Sender timestamp
1491890370
DKIM signature
missing
Download raw message
Patch: +40 -0
https://xorg.freedesktop.org/
System load average display for X
---
 testing/xload/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/xload/APKBUILD

diff --git a/testing/xload/APKBUILD b/testing/xload/APKBUILD
new file mode 100644
index 00000000..22bd496f
--- /dev/null
+++ b/testing/xload/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Taner Tas <taner76@gmail.com>
+pkgname=xload
+pkgver="1.1.2"
+pkgrel=0
+pkgdesc="System load average display for X"
+url="https://xorg.freedesktop.org/"
+arch="all"
+license="MIT"
+depends="libintl"
+makedepends="libx11-dev libxaw-dev libxmu-dev libxt-dev gettext-dev"
+subpackages="$pkgname-doc"
+source="https://xorg.freedesktop.org/archive/individual/app/${pkgname}-${pkgver}.tar.bz2"
+options="!check"
+
+build() {
+	export CFLAGS="$CFLAGS -DRLOADSTUB"
+	export LIBS="$LIBS -lintl"
+	cd "$builddir"
+	 ./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		--disable-nls
+	make
+}
+
+check(){
+	cd "$builddir"
+	make check
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install
+}
+
+sha512sums="9c83d26bbb135cc0f2b3ef7f25b081cda5d080dd02b1c89195b40825a7d71211965b34336c853eb455472d9748f3edf64108455584b34b81673e2548806f423d  xload-1.1.2.tar.bz2"
-- 
2.12.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---